> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List instance flavors

> Retrieve a list of available instance flavors in the project and region.
When `include_prices` is specified, the list includes pricing information.
Trial mode clients see all prices as 0. Contact support for pricing errors.



## OpenAPI

````yaml /api-reference/services_docs_mintlify/cloud_api.yaml get /cloud/v1/flavors/{project_id}/{region_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: 9fe8828db019
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
  - name: Container as a Service
  - name: Cost Reports
  - name: DDoS Protection
  - name: Everywhere Inference
  - name: Everywhere Inference Apps
  - name: File Shares
  - name: Floating IPs
  - name: Function as a Service
  - name: GPU Bare Metal
  - name: GPU Virtual
  - name: IP Ranges
  - name: Images
  - name: Instances
  - name: Load Balancers
  - name: Logging
  - name: Managed Kubernetes
  - name: Managed PostgreSQL
  - name: Networks
  - name: Placement Groups
  - name: Ports
  - name: Projects
  - name: Quotas
  - name: Regions
  - name: Registry
  - name: Reservations
  - name: Reserved IPs
  - name: Routers
  - name: SSH Keys
  - name: Secrets
  - name: Security Groups
  - name: Snapshot Schedules
  - name: Snapshots
  - name: Tasks
  - name: User Actions
  - name: User Role Assignments
  - name: Volumes
paths:
  /cloud/v1/flavors/{project_id}/{region_id}:
    get:
      tags:
        - Instances
      summary: List instance flavors
      description: >-
        Retrieve a list of available instance flavors in the project and region.

        When `include_prices` is specified, the list includes pricing
        information.

        Trial mode clients see all prices as 0. Contact support for pricing
        errors.
      operationId: FlavorsViewSet.get
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            description: Region ID
            example: 7
            examples:
              - 7
            title: Region Id
            type: integer
        - in: query
          name: disabled
          required: false
          description: Flag for filtering disabled flavors in the region. Defaults to true
          schema:
            default: true
            description: >-
              Flag for filtering disabled flavors in the region. Defaults to
              true
            title: Disabled
            type: boolean
        - in: query
          name: exclude_linux
          required: false
          description: Set to true to exclude flavors dedicated to linux images
          schema:
            default: false
            description: Set to true to exclude flavors dedicated to linux images
            title: Exclude Linux
            type: boolean
        - in: query
          name: exclude_windows
          required: false
          description: Set to true to exclude flavors dedicated to windows images
          schema:
            default: false
            description: Set to true to exclude flavors dedicated to windows images
            title: Exclude Windows
            type: boolean
        - in: query
          name: include_prices
          required: false
          description: Set to true if the response should include flavor prices
          schema:
            default: false
            description: Set to true if the response should include flavor prices
            title: Include Prices
            type: boolean
        - in: query
          name: limit
          required: false
          description: Optional. Limit the number of returned items
          schema:
            default: 1000
            description: Optional. Limit the number of returned items
            example: 1000
            examples:
              - 1000
            exclusiveMinimum: 0
            maximum: 1000
            title: Limit
            type: integer
        - in: query
          name: offset
          required: false
          description: >-
            Optional. Offset value is used to exclude the first set of records
            from the result
          schema:
            default: 0
            description: >-
              Optional. Offset value is used to exclude the first set of records
              from the result
            example: 0
            examples:
              - 0
            minimum: 0
            title: Offset
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/InstanceFlavorExtendedV1CollectionSerializer
components:
  schemas:
    InstanceFlavorExtendedV1CollectionSerializer:
      properties:
        count:
          description: Number of objects
          example: 1
          examples:
            - 1
          minimum: 0
          title: Count
          type: integer
        results:
          description: Objects
          items:
            $ref: '#/components/schemas/InstanceFlavorExtendedUnion'
          title: Results
          type: array
      required:
        - count
        - results
      title: InstanceFlavorExtendedV1CollectionSerializer
      type: object
    InstanceFlavorExtendedUnion:
      anyOf:
        - $ref: '#/components/schemas/InstanceFlavorExtendedSerializerWithoutPrice'
        - $ref: '#/components/schemas/InstanceFlavorExtendedSerializerWithPrice'
      title: InstanceFlavorExtendedUnion
    InstanceFlavorExtendedSerializerWithoutPrice:
      description: Instances flavor schema without price information
      properties:
        architecture:
          description: Flavor architecture type
          example: x86_64
          examples:
            - x86_64
          title: Architecture
          type: string
        disabled:
          description: Disabled flavor flag
          example: false
          examples:
            - false
          title: Disabled
          type: boolean
        flavor_id:
          description: Flavor ID is the same as name
          example: g2-standard-32-64
          examples:
            - g2-standard-32-64
          title: Flavor Id
          type: string
        flavor_name:
          description: Flavor name
          example: g2-standard-32-64
          examples:
            - g2-standard-32-64
          title: Flavor Name
          type: string
        hardware_description:
          additionalProperties:
            type: string
          description: Additional hardware description
          title: Hardware Description
          type: object
        os_type:
          description: Flavor operating system
          example: linux
          examples:
            - linux
          title: Os Type
          type: string
        ram:
          description: RAM size in MiB
          example: 2048
          examples:
            - 2048
          title: Ram
          type: integer
        vcpus:
          description: Virtual CPU count
          example: 1
          examples:
            - 1
          title: Vcpus
          type: integer
      required:
        - flavor_id
        - flavor_name
        - vcpus
        - ram
        - disabled
        - hardware_description
        - os_type
        - architecture
      title: Instances flavor schema without price
      type: object
    InstanceFlavorExtendedSerializerWithPrice:
      description: Instances flavor schema with price information
      properties:
        architecture:
          description: Flavor architecture type
          example: x86_64
          examples:
            - x86_64
          title: Architecture
          type: string
        currency_code:
          anyOf:
            - type: string
            - type: 'null'
          description: Currency code
          examples:
            - USD
          title: Currency Code
        disabled:
          description: Disabled flavor flag
          example: false
          examples:
            - false
          title: Disabled
          type: boolean
        flavor_id:
          description: Flavor ID is the same as name
          example: g2-standard-32-64
          examples:
            - g2-standard-32-64
          title: Flavor Id
          type: string
        flavor_name:
          description: Flavor name
          example: g2-standard-32-64
          examples:
            - g2-standard-32-64
          title: Flavor Name
          type: string
        hardware_description:
          additionalProperties:
            type: string
          description: Additional hardware description
          title: Hardware Description
          type: object
        os_type:
          description: Flavor operating system
          example: linux
          examples:
            - linux
          title: Os Type
          type: string
        price_per_hour:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          description: Price per hour
          examples:
            - 1
          title: Price Per Hour
        price_per_month:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          description: Price per month
          examples:
            - 720
          title: Price Per Month
        price_status:
          anyOf:
            - $ref: '#/components/schemas/PriceDisplayStatus'
            - type: 'null'
          description: Price status for the UI
          examples:
            - show
        ram:
          description: RAM size in MiB
          example: 2048
          examples:
            - 2048
          title: Ram
          type: integer
        vcpus:
          description: Virtual CPU count
          example: 1
          examples:
            - 1
          title: Vcpus
          type: integer
      required:
        - flavor_id
        - flavor_name
        - vcpus
        - ram
        - disabled
        - hardware_description
        - os_type
        - architecture
        - currency_code
        - price_per_hour
        - price_per_month
        - price_status
      title: Instances flavor schema with price
      type: object
    PriceDisplayStatus:
      enum:
        - error
        - hide
        - show
      title: PriceDisplayStatus
      type: string
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````